# Generated by Django 2.1.1 on 2019-04-16 03:15

from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    initial = True

    dependencies = [
    ]

    operations = [
        migrations.CreateModel(
            name='Customer',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('email', models.EmailField(max_length=254, unique=True)),
                ('name', models.CharField(max_length=50)),
                ('birth_date', models.DateField()),
                ('sex', models.CharField(max_length=20)),
            ],
        ),
        migrations.CreateModel(
            name='Employee',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('NIP', models.CharField(max_length=8, unique=True)),
                ('name', models.CharField(max_length=50)),
                ('email', models.EmailField(max_length=254, unique=True)),
                ('birth_date', models.DateField()),
                ('sex', models.CharField(max_length=20)),
                ('phone_number', models.CharField(max_length=16)),
                ('address', models.CharField(max_length=100)),
            ],
        ),
        migrations.CreateModel(
            name='Movie',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(max_length=50, unique=True)),
                ('duration', models.IntegerField()),
                ('rating', models.CharField(max_length=10)),
                ('synopsis', models.TextField()),
                ('type', models.CharField(max_length=10)),
            ],
        ),
        migrations.CreateModel(
            name='Schedule',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('start_datetime', models.DateTimeField()),
                ('end_datetime', models.DateTimeField()),
                ('movie', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='bioskop.Movie', to_field='name')),
            ],
        ),
        migrations.CreateModel(
            name='Studio',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(max_length=50, unique=True)),
                ('capacity', models.IntegerField()),
            ],
        ),
        migrations.CreateModel(
            name='StudioType',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('type', models.CharField(max_length=10)),
                ('studio_name', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='bioskop.Studio', to_field='name')),
            ],
        ),
        migrations.CreateModel(
            name='Transaction',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('timestamp', models.DateTimeField(auto_now_add=True, unique=True)),
                ('total', models.PositiveIntegerField()),
                ('customer_email', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='bioskop.Customer', to_field='email')),
                ('employee_nip', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='bioskop.Employee', to_field='NIP')),
            ],
        ),
        migrations.AddField(
            model_name='schedule',
            name='studio',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='bioskop.Studio', to_field='name'),
        ),
    ]
